package com.mogo.cloud.live.model;

/**
 * 请求指定车机直播/关闭直播
 */
public class LivePush {

    private String sn;           //直播车机sn
    private String type;         //直播类型 0：开启直播  1：关闭直播
    private String videoChannel; //C_1 前摄
    private double lat;          //本机纬度
    private double lon;          //本机经度
    private int bearing;         //本机方向角

    public LivePush(String sn, String type, String videoChannel) {
        this.sn = sn;
        this.type = type;
        this.videoChannel = videoChannel;
    }

    public LivePush(String sn, double lat, double lon, int bearing) {
        this.sn = sn;
        this.lat = lat;
        this.lon = lon;
        this.bearing = bearing;
    }

    public LivePush(String sn, String videoChannel, double lat, double lon, int bearing) {
        this.sn = sn;
        this.videoChannel = videoChannel;
        this.lat = lat;
        this.lon = lon;
        this.bearing = bearing;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getVideoChannel() {
        return videoChannel;
    }

    public void setVideoChannel(String videoChannel) {
        this.videoChannel = videoChannel;
    }

    public double getLat() {
        return lat;
    }

    public void setLat(double lat) {
        this.lat = lat;
    }

    public double getLon() {
        return lon;
    }

    public void setLon(double lon) {
        this.lon = lon;
    }

    public int getBearing() {
        return bearing;
    }

    public void setBearing(int bearing) {
        this.bearing = bearing;
    }

    @Override
    public String toString() {
        return "LivePush{" +
                "sn='" + sn + '\'' +
                ", type='" + type + '\'' +
                ", videoChannel='" + videoChannel + '\'' +
                ", lat=" + lat +
                ", lon=" + lon +
                ", bearing=" + bearing +
                '}';
    }
}
